Subject: Re: [PATCH] merge: simplify code flow

From: Junio C Hamano <[email-masked]>
Date: Thu, 23 Apr 2015 13:15:07 -0700

Jeff King <[email-masked]> writes:

> Yeah, this looks obviously correct.

It is funny that this dates back to the very beginning of defaulting
to the upstream, the code that "if ()" block implements, introduced
at 93e535a5 (merge: merge with the default upstream branch without
argument, 2011-03-23).

> As an aside, the fact that the actual "if (abort_current_merge)"
> conditional ends with a "goto" to a cleanup label that is 500 lines away
> is...kind of gross.

Reading "git show 93e535a5" output, I see that it is a more recent
"breakage" ;-)